Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
VLC GUI will not run
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Multimedia
View previous topic :: View next topic  
Author Message
daniel4230877
n00b
n00b


Joined: 25 Jul 2013
Posts: 31

PostPosted: Mon Sep 02, 2013 1:18 am    Post subject: VLC GUI will not run Reply with quote

I'm having issues getting the VLC Media Player GUI to run. When I run vlc in the terminal, it outputs:
Quote:
VLC media player 2.0.7 Twoflower (revision 2.0.6-54-g7dd7e4d)
[0x1f921e8] main libvlc: Running vlc with the default interface. Use 'cvlc' to use vlc without interface.

but there is no GUI at all.

Here is my /etc/portage/make.conf
Quote:
USE="kde winbind taglib sdl thinkpad id3tag freetype gtk xml lua vnc encode sox vcd usb wxwidgets fontconfig mpeg gphoto2 openal opencl v4l ncurses scanner cups java wifi gstreamer tiff xpm acpi alsa cdr dvd dvdr gif hal jpeg -gnome qt qt4 xft kate mp3 mp4 glimmer opengl pdf png X truetype"


Here is /etc/portage/package.use
Quote:
media-video/vlc dvd ffmpeg mpeg mad wxwindows aac dts a52 ogg flac theora oggvorbis matroska freetype bidi xv svga gnutls stream vlm httpd cdda vcd cdio live xml qt4


Last edited by daniel4230877 on Tue Sep 03, 2013 8:51 am; edited 1 time in total
Back to top
View user's profile Send private message
VoidMage
Watchman
Watchman


Joined: 14 Oct 2006
Posts: 5655

PostPosted: Mon Sep 02, 2013 8:35 am    Post subject: Reply with quote

Did you try calling qvlc directly ?
Well, that's just a one line script, but according to your useflags, you should have qt4 gui.
Though more to the point would be 'emerge -1pv media-video/vlc' than the line you think emerge will end up using.
Back to top
View user's profile Send private message
daniel4230877
n00b
n00b


Joined: 25 Jul 2013
Posts: 31

PostPosted: Tue Sep 03, 2013 8:55 am    Post subject: Reply with quote

VoidMage wrote:
Did you try calling qvlc directly ?
Well, that's just a one line script, but according to your useflags, you should have qt4 gui.
Though more to the point would be 'emerge -1pv media-video/vlc' than the line you think emerge will end up using.


Yes, I ran qvlc and the same thing happened, no GUI.

Here is the output of emerge -1pv media-video/vlc
Quote:
These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild R ] media-video/vlc-2.0.7 USE="X a52 aac alsa avcodec avformat bidi cdda dbus dts dvbpsi dvd encode ffmpeg flac fontconfig gcrypt gnutls httpd kate kde live lua matroska mmx mp3 mpeg ncurses ogg opengl png postproc qt4 sdl sse swscale taglib theora truetype udev v4l vlm vorbis xcb xml xv -aalib (-altivec) -atmo (-audioqueue) -avahi -bluray -cddb -dc1394 -debug -dirac (-direct2d) -directfb (-directx) (-dshow) -dvb (-dxva2) -egl -fbosd -fluidsynth -gme -gnome -growl -ieee1394 (-ios-vout) -jack -libass -libcaca -libnotify -libproxy -libsamplerate -libtar -libtiger -linsys -lirc (-macosx) (-macosx-audio) (-macosx-dialog-provider) (-macosx-eyetv) (-macosx-qtkit) (-macosx-quartztext) (-macosx-vout) (-media-library) -modplug -mtp -musepack (-neon) -omxil -optimisememory -opus -oss -portaudio -projectm -pulseaudio -pvr -rtsp -run-as-root -samba -schroedinger -sdl-image -shine -shout -sid -skins -speex -sqlite -svg -switcher -twolame -upnp -vaapi -vcdx (-waveout) (-wingdi) -wma-fixed -x264 -xosd -zvbi" 0 kB

Total: 1 package (1 reinstall), Size of downloads: 0 kB
Back to top
View user's profile Send private message
VoidMage
Watchman
Watchman


Joined: 14 Oct 2006
Posts: 5655

PostPosted: Tue Sep 03, 2013 6:24 pm    Post subject: Reply with quote

Check if plugins/gui/libqt4_plugin.so exists, pastebin full build log of vlc if it doesn't.
If it does, post output of ldd on it.
Back to top
View user's profile Send private message
daniel4230877
n00b
n00b


Joined: 25 Jul 2013
Posts: 31

PostPosted: Wed Sep 04, 2013 3:05 am    Post subject: Reply with quote

VoidMage wrote:
Check if plugins/gui/libqt4_plugin.so exists, pastebin full build log of vlc if it doesn't.
If it does, post output of ldd on it.


Where should I look for plugins/gui/libqt4_plugin.so?

Also, here is the output of ldd /usr/bin/vlc
Quote:
linux-vdso.so.1 (0x00007fffd6b03000)
libvlc.so.5 => /usr/lib64/libvlc.so.5 (0x00007f73d1bd1000)
libvlccore.so.5 => /usr/lib64/libvlccore.so.5 (0x00007f73d18fb000)
libpthread.so.0 => /lib64/libpthread.so.0 (0x00007f73d16de000)
libdl.so.2 => /lib64/libdl.so.2 (0x00007f73d14da000)
libc.so.6 => /lib64/libc.so.6 (0x00007f73d1132000)
libdbus-1.so.3 => /usr/lib64/libdbus-1.so.3 (0x00007f73d0ef4000)
librt.so.1 => /lib64/librt.so.1 (0x00007f73d0ceb000)
libm.so.6 => /lib64/libm.so.6 (0x00007f73d09fc000)
/lib64/ld-linux-x86-64.so.2 (0x00007f73d1dea000)
Back to top
View user's profile Send private message
VoidMage
Watchman
Watchman


Joined: 14 Oct 2006
Posts: 5655

PostPosted: Wed Sep 04, 2013 11:35 am    Post subject: Reply with quote

Honestly...
Code:
equery f media-video/vlc

and it's the output on that plugin that's of interest.
Back to top
View user's profile Send private message
daniel4230877
n00b
n00b


Joined: 25 Jul 2013
Posts: 31

PostPosted: Thu Sep 05, 2013 1:58 am    Post subject: Reply with quote

VoidMage wrote:
Honestly...
Code:
equery f media-video/vlc

and it's the output on that plugin that's of interest.


Somehow deleting ~/.kde4 fixed the issue. No QT app would run. Now they all do.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Multimedia All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum